## python-tackerclient 1.3.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
cliff!=2.9.0,>=2.8.0 # Apache-2.0
iso8601>=0.1.11 # MIT
netaddr>=0.7.18 # BSD
requests>=2.14.2 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
simplejson>=3.5.1 # MIT
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
oslo.i18n>=3.15.3 # Apache-2.0
osc-lib>=1.8.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.utils>=3.40.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0

=== debian/changelog ===
python-tackerclient (1.3.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 17:26:40 +0200

python-tackerclient (1.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Sep 2020 12:10:54 +0200

python-tackerclient (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-mock from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Sep 2020 12:02:18 +0200

python-tackerclient (1.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 23:42:50 +0200

python-tackerclient (1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Apr 2020 16:02:36 +0200

=== debian/control ===
Source: python-tackerclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel,
 python3-cliff,
 python3-ddt,
 python3-iso8601,
 python3-keystoneclient,
 python3-netaddr,
 python3-openstackdocstheme,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils (>= 3.40),
 python3-reno,
 python3-requests,
 python3-requests-mock,
 python3-simplejson,
 python3-six,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-testtools,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-tackerclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-tackerclient.git
Homepage: http://www.openstack.org/

Package: python-tackerclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: CLI and Client Library for OpenStack Tacker - doc
 Tacker is an official OpenStack project building a Generic VNF Manager (VNFM)
 and a NFV Orchestrator (NFVO) to deploy and operate Network Services and
 Virtual Network Functions (VNFs) on an NFV infrastructure platform like
 OpenStack. It is based on ETSI MANO Architectural Framework and provides a
 functional stack to Orchestrate Network Services end-to-end using VNFs.
 .
 This is the client API library for Tacker. This package contains the
 documentation.

Package: python3-tackerclient
Architecture: all
Depends:
 python3-babel,
 python3-cliff,
 python3-iso8601,
 python3-keystoneclient,
 python3-netaddr,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils (>= 3.40),
 python3-pbr,
 python3-requests,
 python3-simplejson,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-tackerclient-doc,
Description: CLI and Client Library for OpenStack Tacker - Python 3.x
 Tacker is an official OpenStack project building a Generic VNF Manager (VNFM)
 and a NFV Orchestrator (NFVO) to deploy and operate Network Services and
 Virtual Network Functions (VNFs) on an NFV infrastructure platform like
 OpenStack. It is based on ETSI MANO Architectural Framework and provides a
 functional stack to Orchestrate Network Services end-to-end using VNFs.
 .
 This is the client API library for Tacker. This package contains the Python
 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/python-tackerclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-tackerclient-doc/usr/share/doc/python-tackerclient-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-tackerclient 1.4.0

=== debian/changelog ===
python-tackerclient (1.4.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 04 Dec 2020 07:10:39 +0000

python-tackerclient (1.4.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby. 
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 03 Dec 2020 15:00:38 +0000

python-tackerclient (1.3.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:38:18 -0400

python-tackerclient (1.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 29 Jul 2020 12:01:24 +0000

python-tackerclient (1.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 12 Jun 2020 14:45:01 -0400

python-tackerclient (0.14.0-0ubuntu3) eoan; urgency=medium

  * d/control, d/rules, d/python(3)-*: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 10 Jul 2019 17:15:14 -0400

python-tackerclient (0.14.0-0ubuntu2) cosmic; urgency=medium

  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Aug 2018 14:25:30 -0400

python-tackerclient (0.14.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for pristine-tar.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Aug 2018 14:11:09 -0400

## python-tackerclient 1.8.0

=== debian/changelog ===
python-tackerclient (1.8.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 07 Sep 2021 21:32:19 +0000

python-tackerclient (1.8.0-0ubuntu1) impish; urgency=medium

  * d/watch: Get tarballs from opendev.org.
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 15:46:20 -0400

python-tackerclient (1.7.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 10:48:06 +0000

=== debian/control ===
Source: python-tackerclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-babel (>= 2.3.4),
 python3-cliff (>= 2.8.0),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-fixtures (>= 3.0.0),
 python3-flake8 (>= 2.5.4),
 python3-hacking (>= 1.1.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneclient (>= 1:3.8.0),
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.18),
 python3-openstackdocstheme (>= 2.2.1),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.40.0),
 python3-oslosphinx (>= 4.7.0),
 python3-pep8 (>= 1.5.7),
 python3-pyflakes (>= 0.8.1),
 python3-reno (>= 2.11.2),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-simplejson (>= 3.5.1),
 python3-sphinx (>= 2.0.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-tackerclient
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-tackerclient
Homepage: https://www.openstack.org/
Testsuite: autopkgtest-pkg-python

Package: python-tackerclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: CLI and Client Library for OpenStack Tacker - doc
 Tacker is an official OpenStack project building a Generic VNF Manager (VNFM)
 and a NFV Orchestrator (NFVO) to deploy and operate Network Services and
 Virtual Network Functions (VNFs) on an NFV infrastructure platform like
 OpenStack. It is based on ETSI MANO Architectural Framework and provides a
 functional stack to Orchestrate Network Services end-to-end using VNFs.
 .
 This is the client API library for Tacker. This package contains the
 documentation.

Package: python3-tackerclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-cliff (>= 2.8.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneclient (>= 1:3.8.0),
 python3-netaddr (>= 0.7.18),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.40.0),
 python3-oslosphinx (>= 4.7.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-simplejson (>= 3.5.1),
 python3-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-tackerclient-doc,
Description: CLI and Client Library for OpenStack Tacker - Python 3.x
 Tacker is an official OpenStack project building a Generic VNF Manager (VNFM)
 and a NFV Orchestrator (NFVO) to deploy and operate Network Services and
 Virtual Network Functions (VNFs) on an NFV infrastructure platform like
 OpenStack. It is based on ETSI MANO Architectural Framework and provides a
 functional stack to Orchestrate Network Services end-to-end using VNFs.
 .
 This is the client API library for Tacker. This package contains the Python
 3.x module.

## python-tackerclient 1.10.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# These are needed for docs generation
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
python-tackerclient (1.10.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 15:51:15 -0500

python-tackerclient (1.9.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 15:19:36 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.opendev.org/openstack/python-tackerclient/ python-tackerclient-(\d.*)\.tar\.gz

## python-tackerclient 1.10.1

=== debian/changelog ===
python-tackerclient (1.10.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 02 Oct 2025 11:11:16 +0000

python-tackerclient (1.10.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 11:49:31 +0100

python-tackerclient (1.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Feb 2022 21:43:10 +0100

python-tackerclient (1.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:54:21 +0200

python-tackerclient (1.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Sep 2021 08:50:25 +0200

python-tackerclient (1.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed oslo.utils version.
  * debhelper 11.
  * Standards-Version: 4.5.1.
  * Removed python3-six from (build-)depends as per upstream.
  * Blacklist TestListVnfLcmOp.test_take_action_with_filter.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Mar 2021 21:46:50 +0100

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2
+	pkgos-dh_auto_test --no-py2 'tackerclient\.tests\.unit\.(?!(.*osc\.v1\.test_vnflcm_op_occs\.TestListVnfLcmOp\.test_take_action_with_filter.*))'
 endif
 
 override_dh_sphinxdoc:

## python-tackerclient 1.11.0

=== debian/changelog ===
python-tackerclient (1.11.0-0ubuntu1~cloud0) jammy-zed; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 01 Jun 2022 22:07:16 +0000

python-tackerclient (1.11.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 17:01:40 -0400

## python-tackerclient 1.12.0

=== debian/changelog ===
python-tackerclient (1.12.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:43:57 +0200

python-tackerclient (1.12.0-1) experimental; urgency=medium

  * New upstream release.
  * Blacklist test_take_action_with_pagination and
    test_take_action_with_pagination (see launchpad 1988559).

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Sep 2022 13:34:32 +0200

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,8 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'tackerclient\.tests\.unit\.(?!(.*osc\.v1\.test_vnflcm_op_occs\.TestListVnfLcmOp\.test_take_action_with_filter.*))'
+	# See https://bugs.launchpad.net/python-tackerclient/+bug/1988559
+	pkgos-dh_auto_test --no-py2 'tackerclient\.tests\.unit\.(?!(.*osc\.v1\.test_vnflcm_op_occs\.TestListVnfLcmOp\.test_take_action_with_filter.*|.*osc\.v1\.test_vnflcm\.TestListVnfLcm\.test_take_action_with_pagination.*|.*osc\.v1\.test_vnflcm_subsc\.TestListLccnSubscription\.test_take_action_with_pagination.*))'
 endif
 
 override_dh_sphinxdoc:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-tackerclient/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-tackerclient 1.13.0

=== debian/changelog ===
python-tackerclient (1.13.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1048804).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 12:07:54 +0200

python-tackerclient (1.13.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 13:26:33 +0200

python-tackerclient (1.13.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 14:24:01 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

## python-tackerclient 1.14.0

=== debian/changelog ===
python-tackerclient (1.14.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 05 Sep 2023 21:26:27 +0000

python-tackerclient (1.14.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Sep 2023 15:31:38 -0400

python-tackerclient (1.13.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 14:30:37 -0500

=== debian/control ===
--- 
+++ 
@@ -46,8 +46,7 @@
  python3-testtools (>= 2.2.0),
  subunit,
  testrepository,
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-tackerclient
+Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-tackerclient
 Homepage: https://www.openstack.org/
 Testsuite: autopkgtest-pkg-python

## python-tackerclient 2.0.0

=== debian/changelog ===
python-tackerclient (2.0.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2024 13:01:17 +0000

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,6 @@
  python3-requests (>= 2.14.2),
  python3-requests-mock (>= 1.2.0),
  python3-simplejson (>= 3.5.1),
- python3-sphinx (>= 2.0.0),
  python3-stestr (>= 2.0.0),
  python3-stevedore (>= 1:1.20.0),
  python3-subunit (>= 1.0.0),

## python-tackerclient 2.1.0

=== requirements.txt ===
--- 
+++ 
@@ -8,7 +8,6 @@
 requests>=2.14.2 # Apache-2.0
 python-keystoneclient>=3.8.0 # Apache-2.0
 simplejson>=3.5.1 # MIT
-six>=1.10.0 # MIT
 stevedore>=1.20.0 # Apache-2.0
 Babel!=2.4.0,>=2.3.4 # BSD
 oslo.i18n>=3.15.3 # Apache-2.0

=== debian/changelog ===
python-tackerclient (2.1.0-5) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090623).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2024 10:06:12 +0100

python-tackerclient (2.1.0-4) unstable; urgency=medium

  * Removed /usr/bin alternative removal in {pre,post}rm.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 10:47:47 +0200

python-tackerclient (2.1.0-3) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 Aug 2024 10:22:36 +0200

python-tackerclient (2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 08:43:25 +0200

python-tackerclient (2.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Mar 2024 22:00:29 +0100

python-tackerclient (1.14.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 17:15:00 +0200

python-tackerclient (1.14.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Sep 2023 08:46:45 +0200

=== debian/control ===
Source: python-tackerclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel,
 python3-cliff,
 python3-ddt,
 python3-iso8601,
 python3-keystoneclient,
 python3-netaddr,
 python3-openstackdocstheme,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-reno,
 python3-requests,
 python3-requests-mock,
 python3-simplejson,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-testtools,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-tackerclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-tackerclient.git
Homepage: http://www.openstack.org/

Package: python-tackerclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: CLI and Client Library for OpenStack Tacker - doc
 Tacker is an official OpenStack project building a Generic VNF Manager (VNFM)
 and a NFV Orchestrator (NFVO) to deploy and operate Network Services and
 Virtual Network Functions (VNFs) on an NFV infrastructure platform like
 OpenStack. It is based on ETSI MANO Architectural Framework and provides a
 functional stack to Orchestrate Network Services end-to-end using VNFs.
 .
 This is the client API library for Tacker. This package contains the
 documentation.

Package: python3-tackerclient
Architecture: all
Depends:
 python3-babel,
 python3-cliff,
 python3-iso8601,
 python3-keystoneclient,
 python3-netaddr,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-simplejson,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-tackerclient-doc,
Description: CLI and Client Library for OpenStack Tacker - Python 3.x
 Tacker is an official OpenStack project building a Generic VNF Manager (VNFM)
 and a NFV Orchestrator (NFVO) to deploy and operate Network Services and
 Virtual Network Functions (VNFs) on an NFV infrastructure platform like
 OpenStack. It is based on ETSI MANO Architectural Framework and provides a
 functional stack to Orchestrate Network Services end-to-end using VNFs.
 .
 This is the client API library for Tacker. This package contains the Python
 3.x module.

## python-tackerclient 2.2.0

=== debian/changelog ===
python-tackerclient (2.2.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Drop surplus dependencies.

 -- James Page <james.page@ubuntu.com>  Sat, 18 Jan 2025 11:31:57 +0000

python-tackerclient (2.1.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Aug 2024 07:34:01 +0100

## python-tackerclient 2.3.0

=== requirements.txt ===
--- 
+++ 
@@ -7,11 +7,9 @@
 netaddr>=0.7.18 # BSD
 requests>=2.14.2 # Apache-2.0
 python-keystoneclient>=3.8.0 # Apache-2.0
-simplejson>=3.5.1 # MIT
 stevedore>=1.20.0 # Apache-2.0
 Babel!=2.4.0,>=2.3.4 # BSD
 oslo.i18n>=3.15.3 # Apache-2.0
 osc-lib>=1.8.0 # Apache-2.0
-oslo.log>=3.36.0 # Apache-2.0
 oslo.utils>=3.40.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0

=== debian/changelog ===
python-tackerclient (2.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 12:44:46 +0100

python-tackerclient (2.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 12:10:08 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build .stestr *.egg-info

## python-tackerclient 2.3.0+git2025070713.c2bdc92

=== debian/changelog ===
python-tackerclient (2.3.0+git2025070713.c2bdc92-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/rules: Include PBR version. 

 -- Myles Penner <myles.penner@canonical.com>  Thu, 17 Jul 2025 13:38:02 -0700

python-tackerclient (2.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Feb 2025 15:52:31 +0000

## python-tackerclient 2.4.0

=== debian/changelog ===
python-tackerclient (2.4.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).
  * d/watch:
      - Add signing key verification
      - Update tarball target
  * d/u/signing-key.asc: Add Flamingo signing key

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Mon, 06 Oct 2025 14:54:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,43 +1,50 @@
 Source: python-tackerclient
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- python3-babel,
- python3-cliff,
- python3-ddt,
- python3-iso8601,
- python3-keystoneclient,
- python3-netaddr,
- python3-openstackdocstheme,
- python3-osc-lib,
- python3-oslo.i18n,
- python3-oslo.log,
- python3-oslo.serialization,
- python3-oslo.utils,
+ python3-babel (>= 2.3.4),
+ python3-cliff (>= 2.8.0),
+ python3-ddt (>= 1.0.1),
+ python3-fixtures (>= 3.0.0),
+ python3-hacking (>= 1.1.0),
+ python3-iso8601 (>= 0.1.11),
+ python3-keystoneclient (>= 1:3.8.0),
+ python3-netaddr (>= 0.7.18),
+ python3-openstackdocstheme (>= 2.2.1),
+ python3-osc-lib (>= 1.8.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.utils (>= 3.40.0),
+ python3-oslosphinx (>= 4.7.0),
+ python3-pyflakes (>= 0.8.1),
  python3-reno,
- python3-requests,
- python3-requests-mock,
- python3-simplejson,
- python3-stestr,
- python3-stevedore,
- python3-subunit,
- python3-testtools,
+ python3-requests (>= 2.14.2),
+ python3-requests-mock (>= 1.2.0),
+ python3-simplejson (>= 3.5.1),
+ python3-stestr (>= 2.0.0),
+ python3-stevedore (>= 1:1.20.0),
+ python3-subunit (>= 1.0.0),
+ python3-testrepository (>= 0.0.18),
+ python3-testtools (>= 2.2.0),
  subunit,
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-tackerclient
-Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-tackerclient.git
-Homepage: http://www.openstack.org/
+ testrepository,
+Standards-Version: 4.6.1
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-tackerclient
+Homepage: https://www.openstack.org/
+Testsuite: autopkgtest-pkg-python
 
 Package: python-tackerclient-doc
 Section: doc
@@ -58,19 +65,21 @@
 Package: python3-tackerclient
 Architecture: all
 Depends:
- python3-babel,
- python3-cliff,
- python3-iso8601,
- python3-keystoneclient,
- python3-netaddr,
- python3-osc-lib,
- python3-oslo.i18n,
- python3-oslo.log,
- python3-oslo.serialization,
- python3-oslo.utils,
- python3-pbr,
- python3-requests,
- python3-simplejson,
+ python3-babel (>= 2.3.4),
+ python3-cliff (>= 2.8.0),
+ python3-iso8601 (>= 0.1.11),
+ python3-keystoneclient (>= 1:3.8.0),
+ python3-netaddr (>= 0.7.18),
+ python3-osc-lib (>= 1.8.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.utils (>= 3.40.0),
+ python3-oslosphinx (>= 4.7.0),
+ python3-pbr (>= 2.0.0),
+ python3-requests (>= 2.14.2),
+ python3-simplejson (>= 3.5.1),
+ python3-stevedore (>= 1:1.20.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=tackerclient

UPSTREAM_GIT := https://github.com/openstack/python-tackerclient.git

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_build:
	python3 setup.py build --force

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-tackerclient-doc/usr/share/doc/python-tackerclient-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_clean:
	dh_clean -O--buildsystem=pybuild
	rm -rf build

override_dh_auto_clean:
	python3 setup.py clean -a

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    http://tarballs.opendev.org/openstack/python-tackerclient/ python_tackerclient-(\d.*)\.tar\.gz

## python-tackerclient 2.5.0

=== debian/changelog ===
python-tackerclient (2.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 19:13:17 +0100

python-tackerclient (2.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 22:54:29 +0200

python-tackerclient (2.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Correctly clean-up .pybuild folder.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Sep 2025 14:41:40 +0200
